Ticket #44375

Rename 'master'

Eröffnet am: 2022-04-14 19:52 Letztes Update: 2022-12-03 23:33

Auswertung:
Verantwortlicher:
(Keine)
Typ:
Status:
Offen
Komponente:
(Keine)
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Keine
Datei:
Keine

Details

We're two years late to this compared to when everyone was doing it, but I think it would make sense to rename 'master' branch at the time of branching S3_2 (#44374). So the rename does not disrupt 3.2 development but 3.3 development begins in a newly named branch.

As for the name of the branch, either "main" (consistent with many other projects) or "development", maybe shortened to "devel" or "dev", (descriptive of our use of the branch) would be ok for me.

Ticket-Verlauf (3/9 Historien)

2022-04-14 19:52 Aktualisiert von: cazfi
  • New Ticket "Rename 'master'" created
2022-04-25 20:47 Aktualisiert von: alain_bkr
Kommentar

I see no point in doing this.

Git init something creates a branch called master.

Don't waste energy on useless stuff, which will only cause trouble.

2022-04-25 20:52 Aktualisiert von: cazfi
Kommentar

Reply To alain_bkr

Git init something creates a branch called master.

Even that git level default is about to change.

2022-04-30 06:07 Aktualisiert von: alain_bkr
Kommentar

so what ? it could be named trunk or root or anything, i don't see any added value of renaming it, but only potential problems.

As a potential occasional contributor i would prefer a document explaining the meanings of branches (i guess save format changes, and some major feature changes), and where / how to work in my own branch on github and get patches merged.

2022-04-30 12:02 Aktualisiert von: cazfi
Kommentar

Reply To alain_bkr

so what ?

That's for the one, who brought the 'git default' thing up, to tell.

For the rest: Your points have been noted - not ignored - even though I have no comments to add at the moment.

2022-05-01 20:26 Aktualisiert von: cazfi
Kommentar

Reply To alain_bkr

As a potential occasional contributor i would prefer a document explaining the meanings of branches (i guess save format changes, and some major feature changes), and where / how to work in my own branch on github and get patches merged.

As for which branch to work on, the short answer is: master first. After that's done, we decide what older versions it gets backported to.

2022-05-02 12:53 Aktualisiert von: cazfi
Kommentar

Reply To alain_bkr

As a potential occasional contributor i would prefer a document explaining the meanings of branches (i guess save format changes, and some major feature changes), and where / how to work in my own branch on github and get patches merged.

Opened a ticket covering at least part of that -> #44499

2022-10-11 11:38 Aktualisiert von: cazfi
Kommentar

More and more people seem to assume 'main' rather than 'master' (Have even seen one fresh developer being unable to figure out that a repo uses 'master' rather than 'main' that he thought to always be the git default branch)

So, in the *future* 'main' will serve us better than 'master', and future is where we are heading to. I now have quite firm opinion about the need to switch development to 'main'.

I'm not for total rename, though, but for a bit more cautious approach. Let's not completely remove the 'master' branch but keep it as a dead end for the benefit of any references to older commit hashes, with a branch name (I myself prefer using just the hash, but some other people want to be explicit about the branch too - and it does have some value in sanity checking that the branch and hash are consistent, that you really get what you expect). Well, ideally I'd like break references to master/HEAD, but can't have everything, I guess.

So the plan would be to branch both 'S3_2' and 'main' from 'master', make 'main' the default branch, push some note to 'master' about it having been abandoned (potentially with some intentional build breakage or something), and continue development on 'main'. That's what I've already done with the crosser repository.

2022-12-03 23:33 Aktualisiert von: cazfi
  • Meilenstein Update from (Keine) to 3.3.0

Dateianhangliste

Keine Anhänge

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden